Opened 5 years ago

Closed 5 years ago

#636 closed defect (fixed)

"invalid q range: qmin must be smaller than qmax" on a number of models

Reported by: ajj Owned by:
Priority: major Milestone: SasView 4.0.0
Component: SasView Keywords:
Cc: Work Package: SasView Bug Fixing

Description (last modified by butler)

From Paul Butler's testing on 28th August 2016:

Spherical_sld, lamellar_stack_paracrystal, stacked_disk and square_well all generate a very strange error before appearing to work: "invalid q range: qmin must be smaller than qmax," but then appear to work. Note that in these tests the condition (qmin is smaller than qmax) is always true as it is just the default qmin and qmax in the fitpage.

Change History (4)

comment:1 Changed 5 years ago by butler

  • Description modified (diff)

comment:2 Changed 5 years ago by pkienzle

Happens on all models if Value matches Min or Max. For example, set background to 0.

comment:3 Changed 5 years ago by Paul Kienzle <pkienzle@…>

In ee4b3cbc1850f87671526c54335834959ffdfe84:

fix 'invalid Q range' when parameter value is min or max. Fixes #636

comment:4 Changed 5 years ago by pkienzle

  • Resolution set to fixed
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.